package com.om;

import com.om.entity.dto.DiaMenuQueryPageDTO;
import com.om.entity.vo.DiaMenuQueryPageVO;
import com.om.service.IDiagnosticMenuService;
import com.om.service.IRepairService;
import com.om.utils.Result;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.HashMap;

@SpringBootTest(classes = com.om.OperationApplication.class)
public class Test {

    @Resource
    private IDiagnosticMenuService diagnosticMenuService;

    @Resource
    private IRepairService repairService;


    @org.junit.jupiter.api.Test
    public void Test1(){
        HashMap<String,Object> map = new HashMap<>();
        DiaMenuQueryPageDTO dto = new DiaMenuQueryPageDTO();
        dto.setPageIndex(1);
        dto.setPageSize(5);
        Result<DiaMenuQueryPageVO> pageList = diagnosticMenuService.getPageList(dto);
        System.out.println(pageList);
    }

    @org.junit.jupiter.api.Test
    public void TestReport(){
        Result<String> stringResult = repairService.reportPdf(1);
        System.out.println(stringResult);
    }


}
